Skip to navigation

Create Locations

Create new locations.

Limits

  • Limit of 50 concurrent requests.
  • Limit of 100 active locations.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
codestringOptional

Location user-defined unique identifier.

labelstringOptional
Location label.
descriptionstringOptional

Description of location. This field can be returned by the GraphQL Storefront API so that additional details can be exposed to customers on the storefront (customer-facing).

managed_by_external_sourcebooleanOptionalDefaults to false

Indicates if the third-party system is the source of truth for inventory values. If set to true, manually editing inventory in the BigCommerce control panel will be disabled.

type_idenumOptionalDefaults to PHYSICAL
Describe type of given location.
Allowed values:
enabledbooleanOptionalDefaults to true
operating_hoursobjectOptional
Schedule with opening and closing hours for each day of the week.
time_zonestringOptional

Time zone of location. For a list of valid time zones, please view: https://en.wikipedia.org/wiki/List_of_tz_database_time_zones.

addressobjectOptional

Address is required if the locationʼs type_id is PHYSICAL.

storefront_visibilitybooleanOptionalDefaults to true
special_hourslist of objectsOptional

Response

Locations have been successfully created.
transaction_idstringOptional
Unique identifier of performed action.

Errors

422
Unprocessable Entity Error